#!/usr/bin/perl

require 'lib.pl';

print "\n";

if(scalar(@ARGV) < 2)
{
 print <<EOF;
Make Book Script
by Jonah Cohen <jonah\@ibiblio.org>
http://www.ibiblio.org/obp/ltoh/

Usage:
  $0 source_dir dest_dir [language]

EOF
  exit 0;
}

mkdir $ARGV[1],oct 755;

open LANGS, "ls *.lang|";
$langs = <LANGS>;
close LANGS;

$langs =~ s/\.lang//g;
$langs =~ s/[^\w\n]/\\$&/g;
$langs =~ s/\n/|/gm;
chop $langs;

open TOP, "$ARGV[0]/top.tex" || die "Can't open $ARGV[0]/top.tex\n";
$_ = <TOP>;
close TOP;
$lang = lc $& if /$langs/mi;
push @files,$1 while s/^[^%\n]*\\include\{([^\}]+)\}//m;

foreach (@files)
{
  system "perl parse.pl $_ $ARGV[0] $ARGV[2]" if /(ch|ap)/;
}

foreach (@files)
{
  print "\n";
  print "perl ltoh.pl $_ $ARGV[0] $ARGV[1] $ARGV[2]\n";
  system "perl ltoh.pl $_ $ARGV[0] $ARGV[1] $ARGV[2]";
  system "perl syntax.pl $lang $ARGV[1]/$_.htm" if /(ch|ap)/ && $lang ne "";
}

print "\n";
system "perl index.pl $ARGV[0] $ARGV[1] $ARGV[2]";
system "perl toc.pl $ARGV[0] $ARGV[1] $ARGV[2]";
print "\n";

system "rm .*_lst";
